Contact Free trial Login

Mule Maven Plugin 3.4.0 Release Notes

This release contains the support of Connected Apps credentials to perform platform deployments. Also, we fix a small number of issues that were affecting the product.

Hardware and Software Requirements

  • Microsoft Windows 8+

  • Apple Mac OS X 10.10+

  • Linux (tested on Ubuntu 15)

  • Java 8

  • Maven 3.3.3, 3.3.9, 3.5.0, 3.6.0

Compatibility

  • Mule 4.x

  • Anypoint Studio 7.x

  • OpenJDK 11, when using Mule 4.2

Features and Functionality

  • Added support for Connected Apps credentials on platform deployments.

  • Added 'applyLatestRuntimePatch' property that instructs Cloudhub to update the Mule version with the latest patch available during deployment.

  • The plugin now validates that the packaged application contains MUnit dependencies with test scope.

Fixed Issues

  • Fixed issue where the plugin threw an error if proxy username or password were not set.

  • The plugin now writes the ClassLoaderModel JSON file without pretty print mode to fix performance issues.

  • Fixed deployment issue when using openJDK 11. Fixed Runtime Manager deployment status validation.

  • Fixed CloudHub deployment configuration that caused the workerType property to be mandatory.

Was this article helpful?

💙 Thanks for your feedback!